Page MenuHomeFreeBSD

2019Q3 Quarterly status report
ClosedPublic

Authored by salvadore on Nov 12 2019, 1:19 AM.

Details

Summary

Draft for the 2019Q3 quarterly status report

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

salvadore created this revision.Nov 12 2019, 1:19 AM
trasz removed a reviewer: lidl.Nov 12 2019, 1:58 PM
salvadore updated this revision to Diff 64237.Nov 12 2019, 4:07 PM

Added "@" at the end of debdrup nickname.

allanjude added inline comments.Nov 15 2019, 8:36 PM
report-2019-07-2019-09.xml
199 ↗(On Diff #64237)

It looks like the markdown parser goofed, or the markdown this was generated from was missing a line break or two.

Obviously 'FreeBSD Release Engineering Team' is meant to be the title of the next section

241 ↗(On Diff #64237)

I assume there were snapshots of stable/12

407 ↗(On Diff #64237)

We had testing working group at the

410 ↗(On Diff #64237)

project

allanjude added inline comments.Nov 15 2019, 9:14 PM
report-2019-07-2019-09.xml
918 ↗(On Diff #64237)

Are these meant to each have a * after them, or is that some markdown formatting that did not survive the translation process?

964 ↗(On Diff #64237)

Markdown formatting has fallen apart here

This entire report item is mis-formatted all over the place.

1067 ↗(On Diff #64237)

A man page for this ...

1161 ↗(On Diff #64237)

missing space in minor version

1491 ↗(On Diff #64237)

makes it harder

1611 ↗(On Diff #64237)

I don't think the underscore needs to be escaped here

1633 ↗(On Diff #64237)

PROT_READ did not get the <tt> markup, but kept the `` markdown markup, likely due to the leading (

1932 ↗(On Diff #64237)

This item seems to be a duplicate. It exists at line 1422

1994 ↗(On Diff #64237)

we don't need to escape _. This likely needs to be checked throughout the entire file

2013 ↗(On Diff #64237)

trap_pfault() did not get the <tt> markup

2492 ↗(On Diff #64237)

this markdown did not get turned into a link properly

3064 ↗(On Diff #64237)

more escaped underscores

3078 ↗(On Diff #64237)

escaped asterisk

I'm working on the needed edits: I should be able to have them ready for tomorrow.

report-2019-07-2019-09.xml
241 ↗(On Diff #64237)

Indeed it seems so:
https://download.freebsd.org/ftp/snapshots/ISO-IMAGES/12.1/?C=M&O=D

Should I just add <tt>stable/12<tt> or ask releng@ ?

salvadore updated this revision to Diff 64489.EditedNov 17 2019, 1:19 PM

I made all the needed edits, except the one about stable/12 snapshots: I'm unsure what should I do about it.
Should I just add "<tt>stable/12</tt>" to the list? Ask re@? Leave it as it is since 12 was already dealt with in relation to 12.1-RELEASE?

salvadore marked 16 inline comments as done.Nov 17 2019, 1:21 PM

I sent an email to re@ to ask them what to do about the stable/12 snapshots.

salvadore updated this revision to Diff 64578.Nov 19 2019, 4:58 PM
salvadore marked an inline comment as done.

Fix last issue about stable/12 snapshots with information got from re@ by email.

salvadore updated this revision to Diff 64656.Nov 21 2019, 12:04 AM

Fix many issues:

  • Correct wrong filename in Makefile.
  • Correct wrong lists formatting.
  • Sort links and contacts consistently with precedent quarters.
  • Build table correctly in powerpc report.
  • Other fixes.
allanjude accepted this revision.Nov 25 2019, 7:11 PM

Reviewed By: allanjude

This revision is now accepted and ready to land.Nov 25 2019, 7:11 PM
This revision was automatically updated to reflect the committed changes.